org.keycloak.models.map.client

## Class MapClientEntityLazyDelegate

- java.lang.Object
- - org.keycloak.models.map.client.MapClientEntityLazyDelegate

- All Implemented Interfaces:
    MapClientEntity, AbstractEntity, UpdatableEntity
  Direct Known Subclasses:
    MapClientEntityDelegate

      public class MapClientEntityLazyDelegate
      extends Object
      implements MapClientEntity

  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapClientEntityLazyDelegate(Supplier<MapClientEntity> delegateSupplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientScope(String id, Boolean defaultScope)`
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addRedirectUri(String redirectUri)`
    `void` | `addScopeMapping(String id)`
    `void` | `addWebOrigin(String webOrigin)`
    `void` | `deleteScopeMapping(String id)`
    `List<String>` | `getAttribute(String name)`
    `Map<String,List<String>>` | `getAttributes()`
    `String` | `getAuthenticationFlowBindingOverride(String binding)`
    `Map<String,String>` | `getAuthenticationFlowBindingOverrides()`
    `Map<String,String>` | `getAuthFlowBindings()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `Stream<String>` | `getClientScopes(boolean defaultScope)`
    `protected MapClientEntity` | `getDelegate()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `ProtocolMapperModel` | `getProtocolMapperById(String id)`
    `Collection<ProtocolMapperModel>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `Set<String>` | `getRedirectUris()`
    `String` | `getRegistrationToken()`
    `String` | `getRootUrl()`
    `Set<String>` | `getScope()`
    `Collection<String>` | `getScopeMappings()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `Boolean` | `isAlwaysDisplayInConsole()`
    `Boolean` | `isBearerOnly()`
    `Boolean` | `isConsentRequired()`
    `Boolean` | `isDirectAccessGrantsEnabled()`
    `Boolean` | `isEnabled()`
    `Boolean` | `isFrontchannelLogout()`
    `Boolean` | `isFullScopeAllowed()`
    `Boolean` | `isImplicitFlowEnabled()`
    `Boolean` | `isPublicClient()`
    `Boolean` | `isServiceAccountsEnabled()`
    `Boolean` | `isStandardFlowEnabled()`
    `Boolean` | `isSurrogateAuthRequired()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `removeAuthenticationFlowBindingOverride(String binding)`
    `void` | `removeClientScope(String id)`
    `void` | `removeProtocolMapper(String id)`
    `void` | `removeRedirectUri(String redirectUri)`
    `void` | `removeWebOrigin(String webOrigin)`
    `void` | `setAlwaysDisplayInConsole(Boolean alwaysDisplayInConsole)`
    `void` | `setAttribute(String name, List<String> values)`
    `void` | `setAuthenticationFlowBindingOverride(String binding, String flowId)`
    `void` | `setAuthFlowBindings(Map<String,String> authFlowBindings)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setConsentRequired(Boolean consentRequired)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setFrontchannelLogout(Boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)`
    `void` | `setImplicitFlowEnabled(Boolean implicitFlowEnabled)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String rootUrl)`
    `void` | `setScope(Set<String> scope)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(Boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(Boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(Boolean surrogateAuthRequired)`
    `void` | `setWebOrigins(Set<String> webOrigins)`
    `void` | `updateProtocolMapper(String id, ProtocolMapperModel mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapClientEntityLazyDelegate

          public MapClientEntityLazyDelegate(Supplier<MapClientEntity> delegateSupplier)

  - ### Method Detail

    - #### getDelegate

          protected MapClientEntity getDelegate()

    - #### addClientScope

          public void addClientScope(String id,
                                     Boolean defaultScope)

      Specified by:
        `addClientScope` in interface `MapClientEntity`

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

      Specified by:
        `addProtocolMapper` in interface `MapClientEntity`

    - #### addRedirectUri

          public void addRedirectUri(String redirectUri)

      Specified by:
        `addRedirectUri` in interface `MapClientEntity`

    - #### addScopeMapping

          public void addScopeMapping(String id)

      Specified by:
        `addScopeMapping` in interface `MapClientEntity`

    - #### addWebOrigin

          public void addWebOrigin(String webOrigin)

      Specified by:
        `addWebOrigin` in interface `MapClientEntity`

    - #### deleteScopeMapping

          public void deleteScopeMapping(String id)

      Specified by:
        `deleteScopeMapping` in interface `MapClientEntity`

    - #### getAttribute

          public List<String> getAttribute(String name)

      Specified by:
        `getAttribute` in interface `MapClientEntity`

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

      Specified by:
        `getAttributes` in interface `MapClientEntity`

    - #### getAuthFlowBindings

          public Map<String,String> getAuthFlowBindings()

      Specified by:
        `getAuthFlowBindings` in interface `MapClientEntity`

    - #### getAuthenticationFlowBindingOverride

          public String getAuthenticationFlowBindingOverride(String binding)

      Specified by:
        `getAuthenticationFlowBindingOverride` in interface `MapClientEntity`

    - #### getAuthenticationFlowBindingOverrides

          public Map<String,String> getAuthenticationFlowBindingOverrides()

      Specified by:
        `getAuthenticationFlowBindingOverrides` in interface `MapClientEntity`

    - #### getBaseUrl

          public String getBaseUrl()

      Specified by:
        `getBaseUrl` in interface `MapClientEntity`

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

      Specified by:
        `getClientAuthenticatorType` in interface `MapClientEntity`

    - #### getClientId

          public String getClientId()

      Specified by:
        `getClientId` in interface `MapClientEntity`

    - #### getClientScopes

          public Stream<String> getClientScopes(boolean defaultScope)

      Specified by:
        `getClientScopes` in interface `MapClientEntity`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `MapClientEntity`

    - #### getManagementUrl

          public String getManagementUrl()

      Specified by:
        `getManagementUrl` in interface `MapClientEntity`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `MapClientEntity`

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

      Specified by:
        `getNodeReRegistrationTimeout` in interface `MapClientEntity`

    - #### getNotBefore

          public int getNotBefore()

      Specified by:
        `getNotBefore` in interface `MapClientEntity`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `MapClientEntity`

    - #### getProtocolMapperById

          public ProtocolMapperModel getProtocolMapperById(String id)

      Specified by:
        `getProtocolMapperById` in interface `MapClientEntity`

    - #### getProtocolMappers

          public Collection<ProtocolMapperModel> getProtocolMappers()

      Specified by:
        `getProtocolMappers` in interface `MapClientEntity`

    - #### getRealmId

          public String getRealmId()

      Specified by:
        `getRealmId` in interface `MapClientEntity`

    - #### getRedirectUris

          public Set<String> getRedirectUris()

      Specified by:
        `getRedirectUris` in interface `MapClientEntity`

    - #### getRegistrationToken

          public String getRegistrationToken()

      Specified by:
        `getRegistrationToken` in interface `MapClientEntity`

    - #### getRootUrl

          public String getRootUrl()

      Specified by:
        `getRootUrl` in interface `MapClientEntity`

    - #### getScope

          public Set<String> getScope()

      Specified by:
        `getScope` in interface `MapClientEntity`

    - #### getScopeMappings

          public Collection<String> getScopeMappings()

      Specified by:
        `getScopeMappings` in interface `MapClientEntity`

    - #### getSecret

          public String getSecret()

      Specified by:
        `getSecret` in interface `MapClientEntity`

    - #### getWebOrigins

          public Set<String> getWebOrigins()

      Specified by:
        `getWebOrigins` in interface `MapClientEntity`

    - #### isAlwaysDisplayInConsole

          public Boolean isAlwaysDisplayInConsole()

      Specified by:
        `isAlwaysDisplayInConsole` in interface `MapClientEntity`

    - #### isBearerOnly

          public Boolean isBearerOnly()

      Specified by:
        `isBearerOnly` in interface `MapClientEntity`

    - #### isConsentRequired

          public Boolean isConsentRequired()

      Specified by:
        `isConsentRequired` in interface `MapClientEntity`

    - #### isDirectAccessGrantsEnabled

          public Boolean isDirectAccessGrantsEnabled()

      Specified by:
        `isDirectAccessGrantsEnabled` in interface `MapClientEntity`

    - #### isEnabled

          public Boolean isEnabled()

      Specified by:
        `isEnabled` in interface `MapClientEntity`

    - #### isFrontchannelLogout

          public Boolean isFrontchannelLogout()

      Specified by:
        `isFrontchannelLogout` in interface `MapClientEntity`

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

      Specified by:
        `isFullScopeAllowed` in interface `MapClientEntity`

    - #### isImplicitFlowEnabled

          public Boolean isImplicitFlowEnabled()

      Specified by:
        `isImplicitFlowEnabled` in interface `MapClientEntity`

    - #### isPublicClient

          public Boolean isPublicClient()

      Specified by:
        `isPublicClient` in interface `MapClientEntity`

    - #### isServiceAccountsEnabled

          public Boolean isServiceAccountsEnabled()

      Specified by:
        `isServiceAccountsEnabled` in interface `MapClientEntity`

    - #### isStandardFlowEnabled

          public Boolean isStandardFlowEnabled()

      Specified by:
        `isStandardFlowEnabled` in interface `MapClientEntity`

    - #### isSurrogateAuthRequired

          public Boolean isSurrogateAuthRequired()

      Specified by:
        `isSurrogateAuthRequired` in interface `MapClientEntity`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `MapClientEntity`

    - #### removeAuthenticationFlowBindingOverride

          public void removeAuthenticationFlowBindingOverride(String binding)

      Specified by:
        `removeAuthenticationFlowBindingOverride` in interface `MapClientEntity`

    - #### removeClientScope

          public void removeClientScope(String id)

      Specified by:
        `removeClientScope` in interface `MapClientEntity`

    - #### removeProtocolMapper

          public void removeProtocolMapper(String id)

      Specified by:
        `removeProtocolMapper` in interface `MapClientEntity`

    - #### removeRedirectUri

          public void removeRedirectUri(String redirectUri)

      Specified by:
        `removeRedirectUri` in interface `MapClientEntity`

    - #### removeWebOrigin

          public void removeWebOrigin(String webOrigin)

      Specified by:
        `removeWebOrigin` in interface `MapClientEntity`

    - #### setAlwaysDisplayInConsole

          public void setAlwaysDisplayInConsole(Boolean alwaysDisplayInConsole)

      Specified by:
        `setAlwaysDisplayInConsole` in interface `MapClientEntity`

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> values)

      Specified by:
        `setAttribute` in interface `MapClientEntity`

    - #### setAuthFlowBindings

          public void setAuthFlowBindings(Map<String,String> authFlowBindings)

      Specified by:
        `setAuthFlowBindings` in interface `MapClientEntity`

    - #### setAuthenticationFlowBindingOverride

          public void setAuthenticationFlowBindingOverride(String binding,
                                                           String flowId)

      Specified by:
        `setAuthenticationFlowBindingOverride` in interface `MapClientEntity`

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

      Specified by:
        `setBaseUrl` in interface `MapClientEntity`

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

      Specified by:
        `setBearerOnly` in interface `MapClientEntity`

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

      Specified by:
        `setClientAuthenticatorType` in interface `MapClientEntity`

    - #### setClientId

          public void setClientId(String clientId)

      Specified by:
        `setClientId` in interface `MapClientEntity`

    - #### setConsentRequired

          public void setConsentRequired(Boolean consentRequired)

      Specified by:
        `setConsentRequired` in interface `MapClientEntity`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `MapClientEntity`

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)

      Specified by:
        `setDirectAccessGrantsEnabled` in interface `MapClientEntity`

    - #### setEnabled

          public void setEnabled(Boolean enabled)

      Specified by:
        `setEnabled` in interface `MapClientEntity`

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(Boolean frontchannelLogout)

      Specified by:
        `setFrontchannelLogout` in interface `MapClientEntity`

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

      Specified by:
        `setFullScopeAllowed` in interface `MapClientEntity`

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(Boolean implicitFlowEnabled)

      Specified by:
        `setImplicitFlowEnabled` in interface `MapClientEntity`

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

      Specified by:
        `setManagementUrl` in interface `MapClientEntity`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `MapClientEntity`

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)

      Specified by:
        `setNodeReRegistrationTimeout` in interface `MapClientEntity`

    - #### setNotBefore

          public void setNotBefore(int notBefore)

      Specified by:
        `setNotBefore` in interface `MapClientEntity`

    - #### setProtocol

          public void setProtocol(String protocol)

      Specified by:
        `setProtocol` in interface `MapClientEntity`

    - #### setProtocolMappers

          public void setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)

      Specified by:
        `setProtocolMappers` in interface `MapClientEntity`

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

      Specified by:
        `setPublicClient` in interface `MapClientEntity`

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

      Specified by:
        `setRedirectUris` in interface `MapClientEntity`

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

      Specified by:
        `setRegistrationToken` in interface `MapClientEntity`

    - #### setRootUrl

          public void setRootUrl(String rootUrl)

      Specified by:
        `setRootUrl` in interface `MapClientEntity`

    - #### setScope

          public void setScope(Set<String> scope)

      Specified by:
        `setScope` in interface `MapClientEntity`

    - #### setSecret

          public void setSecret(String secret)

      Specified by:
        `setSecret` in interface `MapClientEntity`

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(Boolean serviceAccountsEnabled)

      Specified by:
        `setServiceAccountsEnabled` in interface `MapClientEntity`

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(Boolean standardFlowEnabled)

      Specified by:
        `setStandardFlowEnabled` in interface `MapClientEntity`

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(Boolean surrogateAuthRequired)

      Specified by:
        `setSurrogateAuthRequired` in interface `MapClientEntity`

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

      Specified by:
        `setWebOrigins` in interface `MapClientEntity`

    - #### updateProtocolMapper

          public void updateProtocolMapper(String id,
                                           ProtocolMapperModel mapping)

      Specified by:
        `updateProtocolMapper` in interface `MapClientEntity`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `AbstractEntity`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.